=== debian/changelog ===
glslang (14.2.0-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.

  [ Philippe SWARTVAGHER ]
  * Convert d/source/format to "3.0 (quilt)"
  * Build-Depends on pkgconf instead of pkg-config
  * Remove spurious ${shlibs:Depends} from Depends of glslang-dev
  * Do not use dpkg-parsechangelog in d/rules, as suggested by Lintian
  * Bump Standards-Version to 4.7.0: no change needed
  * Build with hardening=+all
  * Rename overridden lintian tag binary-without-manpage to no-manual-page
  * Add 'Rules-Requires-Root: no' to d/control
  * Add a patch to fix few typos
  * Add d/upstream/metadata
  * Fix linking glslang and spirv. Closes: #1062799

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 May 2024 12:42:40 +0300

glslang (14.1.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump spirv-tools depends.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Apr 2024 19:04:52 +0300

glslang (14.0.0-2) unstable; urgency=medium

  * tests, patches: OGLCompiler got removed, update pkgconfig patch and
    tests to link correctly.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 07 Feb 2024 17:48:39 +0200

glslang (14.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump spirv-tools depends.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 30 Jan 2024 19:33:03 +0200

glslang (13.1.1-3) unstable; urgency=medium

  * tests: Bump c++ standard to 17.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 03 Dec 2023 20:12:35 +0200

glslang (13.1.1-2) unstable; urgency=medium

  * tests: Bump c++ to 13.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 02 Dec 2023 12:28:51 +0200

glslang (13.1.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump spirv-tools depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 03 Nov 2023 11:48:15 +0200

glslang (13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump spirv-tools depends.
  * glslang-default-resource-limits_staticlib.patch: Dropped, upstream.
  * rules, 0001-pkg-config-compatibility.patch: Refreshed, and add a new
    build option for using externap spirv-tools.
  * install etc.: glslangValidator got renamed to just glslang.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 12 Oct 2023 14:47:03 +0300

glslang (12.2.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump spirv-tools depends.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 12 Jun 2023 21:54:47 +0300

glslang (12.0.0-2) unstable; urgency=medium

  [ Andrea Pappacoda ]
  * d/control: mark glslang-tools as Multi-Arch: foreign (Closes: #1027182)

  [ Timo Aaltonen ]
  * control: Bump spirv-tools depends. (Closes: #1031230)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 26 Feb 2023 10:55:42 +0200

glslang (12.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump spirv-tools build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 06 Feb 2023 16:35:44 +0200

glslang (11.13.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump spirv-tools build-dep.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 21 Jan 2023 18:42:40 +0200

glslang (11.12.0-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed.
  * rules: Make sure we build without shared libs.
  * dev.install: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Nov 2022 11:16:26 +0200

glslang (11.11.0-2) unstable; urgency=medium

  * patches: Unindent pc files. (Closes: #1021009)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 30 Sep 2022 19:08:12 +0300

glslang (11.11.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1018093)
  * control: Bump spirv-tools build-dep.
  * patches: Refreshed.
  * glslang-dev.install: Add cmake files.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Aug 2022 19:13:53 +0300

glslang (11.10.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump spirv-tools depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 01 Jul 2022 12:25:16 +0300

glslang (11.8.0+1.3.204.0-1) unstable; urgency=medium

  * New upstream snapshot based on sdk-1.3.204.0 tag.
  * control: Bump dependencies on spirv-tools.
  * control: Bump debhelper-compat to 13, policy to 4.6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Feb 2022 15:10:54 +0200

glslang (11.7.1-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed.
  * control: Bump dependencies on spirv-tools.
  * control: Build-depend on python3:native. (Closes: #979031)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 07 Jan 2022 12:29:21 +0200

glslang (11.1.0-4) unstable; urgency=medium

  [ Simon McVittie ]
  * Add missing dependencies to spirv.pc (Closes: #951988)
  * d/tests/glslang-dev: Add a test for spirv.pc

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 12 Apr 2021 15:33:13 +0300

glslang (11.1.0-3) unstable; urgency=medium

  * d/patches: Add pthread to glslang.pc for OSDependent.
  * tests: Add pkg-config to glslang-dev depends. (Closes: #982789)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 15 Feb 2021 11:09:35 +0200

glslang (11.1.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Add more libraries to link to in the pkg-config file and autopkgtest.
    (Closes: #980369)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Feb 2021 14:35:56 +0200

glslang (11.1.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump spirv-tools build-depends.
  * patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Jan 2021 10:48:10 +0200

glslang (8.13.3743-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 4.5.0.
  * control: Use debhelper-compat.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 01 Jun 2020 15:20:54 +0300

glslang (8.13.3559+git3727-1) unstable; urgency=medium

  * New upstream snapshot of revision 3727. (LP: #1871754)
  * patches: Dropped fix-help.diff, refresh others.

