=== debian/changelog ===
glslang (14.3.0-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed, drop upstreamed patch.
  * control: Bump spirv-tools depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 11:39:00 +0300
