=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  pkgconf,
  python3:native,
  spirv-headers,
- spirv-tools (>= 2024.1),
+ spirv-tools (>= 2024.3),
 Standards-Version: 4.7.0
 Homepage: https://github.com/KhronosGroup/glslang
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/glslang.git
@@ -19,7 +19,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends},
- spirv-tools (>= 2024.1),
+ spirv-tools (>= 2024.3),
 Description: OpenGL and OpenGL ES shader front end and validator -- tools
  glslang is the official reference compiler front end for the OpenGL ES
  and OpenGL shading languages. It implements a strict
@@ -30,7 +30,7 @@
 Package: glslang-dev
 Architecture: any
 Depends: ${misc:Depends},
- spirv-tools (>= 2024.1),
+ spirv-tools (>= 2024.3),
 Suggests: glslang-tools
 Multi-Arch: same
 Description: OpenGL and OpenGL ES shader front end and validator -- development files
