=== debian/changelog ===
glslang (15.0.0-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refreshed.
  * control: Bump spirv-tools depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Oct 2024 13:48:10 +0300
