=== gtests/CMakeLists.txt ===
--- 
+++ 
@@ -88,8 +88,7 @@
         endif()
 
         set(LIBRARIES
-            glslang OSDependent glslang
-            SPIRV glslang-default-resource-limits)
+            glslang glslang-default-resource-limits)
 
         if(ENABLE_SPVREMAPPER)
             set(LIBRARIES ${LIBRARIES} SPVRemapper)
@@ -99,5 +98,10 @@
 
         add_test(NAME glslang-gtests
                  COMMAND glslangtests --test-root "${GLSLANG_TEST_DIRECTORY}")
+
+        # Prepend paths to DLLs for Windows tests.
+        if(WIN32)
+            set_tests_properties(glslang-gtests PROPERTIES ENVIRONMENT_MODIFICATION "PATH=path_list_prepend:$<JOIN:$<TARGET_RUNTIME_DLL_DIRS:glslangtests>,\;>")
+        endif()
     endif()
 endif()
