=== debian/changelog ===
glslang (15.1.0-2~ubuntu0.24.04.1) noble; urgency=medium

  * Backport to noble. (LP: #2111480)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Jul 2025 12:00:34 +0300

glslang (15.1.0-2) unstable; urgency=medium

  * patches: Update pkgconf compatibility patch, refresh others.
  * patches: Fix linking in spirv.pc. Thanks, Philippe Swartvagher!
    (Closes: #1093845)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 14 Feb 2025 08:29:18 +0200

glslang (15.1.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump spirv-tools depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 16 Jan 2025 15:52:50 +0200
