=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  pkgconf,
  python3:native,
  spirv-headers,
- spirv-tools (>= 2024.4~rc1),
+ spirv-tools (>= 2024.4~rc2),
 Standards-Version: 4.7.0
 Homepage: https://github.com/KhronosGroup/glslang
 Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/glslang.git
